NANO(1)

BEZEICHNUNG
nano - »Nano's ANOther editor«, inspiriert von Pico

ÜBERSICHT
nano [Optionen] [[+Zeile[,Spalte]] Datei] …

nano [Optionen] [[+[crCR](/|?)Zeichenkette] Datei] …

BESCHREIBUNG
nano ist ein kleiner und freundlicher Editor. Er kopiert das Aussehen und Verhalten von Pico, ist aber freie Software und implementiert verschiedene Funktionen, die Pico fehlen, wie beispielsweise: Öffnen mehrerer Dateien, zeilenweises Rollen, Rückgängig machen und Wiederholen, farbige Syntaxhervorhebung, Zeilennummern und fließenden Umbruch überlanger Zeilen.

Wenn Sie in der Befehlszeile einen Dateinamen angeben, können Sie den Cursor in einer bestimmten Zeile platzieren, indem Sie die Zeilennummer mit einem Pluszeichen (+) dem Dateinamen voranstellen. Mit einem Komma können Sie sogar die gewünschte Spalte angeben. Der Cursor kann in die erste oder letzte Zeile des Vorkommens einer bestimmten Zeichenkette gesetzt werden, indem Sie diese Zeichenkette nach einem +/ oder +? dem Dateinamen voranstellen. Fügen Sie zusätzlich ein c und/oder r nach dem Pluszeichen ein, wird für die Zeichenkette Groß-/Kleinschreibung berücksichtigt beziehungsweise die Zeichenkette als regulärer Ausdruck betrachtet. Diese Suchmodi können explizit deaktiviert werden, indem Sie Groß- statt Kleinschreibung verwenden: C und/oder R. Wenn die Zeichenkette Leerzeichen enthält, muss sie in Anführungszeichen gesetzt werden. Ein Beispiel, in dem eine Datei geöffnet und der Cursor beim ersten Vorkommen des Wortes »Foo« gesetzt werden soll:

    nano +c/Foo Datei

Als Spezialfall: wird beim Aufruf anstatt eines Dateinamens ein Minuszeichen (-) angegeben, liest nano Daten aus der Standardeingabe.

BEARBEITUNG
Eingabe von Text und Bewegen innerhalb einer Datei ist einfach: durch Eingabe der Buchstaben und Verwenden der normalen Cursortasten. Befehle können Sie mit der Strg-Taste (^) und den Alt- oder Metatasten (M-) eingeben. Die Eingabe ^K löscht die aktuelle Zeile und schreibt sie in die Zwischenablage. Mehrere aufeinander folgende Eingaben von ^K schreiben die gelöschten Zeilen zusammen in die Zwischenablage. Jede Bewegung des Cursors oder Eingabe eines anderen Befehls führt dazu, dass die nächste Eingabe von ^K die Zwischenablage überschreibt. Ein ^U fügt den aktuellen Inhalt der Zwischenablage an der aktuellen Cursorposition ein.

Wenn ein etwas genauerer Textteil ausgeschnitten oder kopiert werden soll, können Sie die Markierung mit ^6 beginnen, den Cursor zum gewünschten Ende bewegen (der markierte Text wird nun hervorgehoben) und dann mit ^K den Text ausschneiden oder mit M-6 in die Zwischenablage kopieren. Sie können den markierten Text auch mit ^O in einer Datei speichern oder mit ^T^T die Rechtschreibung prüfen lassen.

In einigen Terminals kann Text auch mit den Pfeiltasten bei gedrückt gehaltener Umschalttaste markiert werden. Wenn Sie außerdem die Strg- oder Alt-Taste gedrückt halten, wird dies beschleunigt. Durch jede Bewegung des Cursors ohne Gedrückthalten der Umschalttaste wird eine solche Auswahl abgebrochen.

Ein gültiger Unicode-Codepunkt kann durch Eingabe von M-V, gefolgt von den Hexadezimalstellen des Codepunkts, in den Puffer eingefügt werden (beendet mit der <Leertaste> oder der <Eingabetaste>, falls es weniger als sechs Stellen sind). Ein wörtlicher Steuercode (außer ^J) kann durch Eingabe von M-V, gefolgt von der entsprechenden Tastenfolge, eingefügt werden.

Die zwei Zeilen am unteren Bildschirmrand zeigen einige wichtige Befehle; die eingebaute Hilfe (^G) listet alle verfügbaren Befehle auf. Die voreingestellten Tastaturschnellzugriffe können über eine Datei nanorc geändert werden, siehe nanorc(5).

OPTIONEN

-A, --smarthome
    macht die Pos1-Taste intelligenter. Wenn die Pos1-Taste irgendwo gedrückt wird, außer am äußersten Anfang von Nicht-Leerraum in einer Zeile, dann springt der Cursor zu diesem Anfang (entweder vorwärts oder rückwärts). Befindet sich der Cursor bereits an dieser Position, springt er zum tatsächlichen Anfang der Zeile.

-B, --backup
    sichert beim Speichern einer Datei die vorherige Version mit dem Namen der aktuellen Datei, dem eine Tilde (~) angehängt wird.

-C Verzeichnis, --backupdir=Verzeichnis
    erstellt nicht nur eine Sicherungsdatei und behält diese, sondern erstellt eine eindeutig nummerierte Datei jedes Mal, wenn eine Datei gespeichert wird – sofern Sicherungen aktiviert sind (-B). Die eindeutig nummerierten Dateien werden im angegebenen Verzeichnis gespeichert.

-D, --boldtext
    verwendet für die Benutzeroberfläche Fettdruck anstelle von inversem Text. Dies kann durch Setzen der Optionen titlecolor, statuscolor, keycolor, functioncolor, numbercolor und/oder selectedcolor in Ihrer Datei nanorc außer Kraft gesetzt werden. Siehe nanorc(5).

-E, --tabstospaces
    wandelt jeden eingegebenen Tabulator in Leerzeichen um, und zwar in die Anzahl der Leerzeichen, wie der Tabulator an dieser Position einnehmen würde.

-F, --multibuffer
    liest standardmäßig eine Datei in einen neuen Puffer ein.

-G, --locking
    aktiviert beim Bearbeiten von Dateien die Dateisperrung im Vim-Stil.

-H, --historylog
    speichert die letzten 100 Suchzeichenketten, Ersetzungszeichenketten und ausgeführten Befehle, so dass sie in späteren Sitzungen leicht wiederverwendet werden können.

-I, --ignorercfiles
    übergeht sowohl die systemweite nanorc als auch die nanorc des Benutzers.

-J Zahl, --guidestripe=Zahl
    blendet einen Markierungsbalken in der angegebenen Spalte ein, anhand dessen Sie die Breite des Texts besser beurteilen können. Die Farbe des Balkens kann mit der Anweisung set stripecolor in Ihrer Datei nanorc angepasst werden.

-K, --rawsequences
    interpretiert Escape-Sequenzen direkt, anstatt sie durch ncurses übersetzen zu lassen. Falls Sie diese Option benötigen, damit einige Tasten korrekt funktionieren, bedeutet das, dass die von Terminfo bereitgestellte Terminalbeschreibung dem tatsächlichen Verhalten Ihres Terminals nicht vollständig entspricht. Dies kann beispielsweise passieren, wenn Sie sich per SSH an einer BSD-Maschine anmelden. Wenn Sie diese Option verwenden, wird die Mausunterstützung in nano deaktiviert.

-L, --nonewlines
    fügt nicht automatisch einen Zeilenvorschub an, wenn ein Text nicht mit einem solchen endet. (Das kann dazu führen, dass Sie POSIX-inkompatible Textdateien speichern.)

-M, --trimblanks
    entfernt angehängten Leerraum beim automatischen harten Umbruch oder bei der Ausrichtung von Text vom Ende der Zeile.

-N, --noconvert
    deaktiviert die automatische Umwandlung von Dateien aus dem DOS/Mac-Format.

-O, --bookstyle
    fasst beim Ausrichten jede Zeile, die mit Leerraum beginnt, als Beginn eines Absatzes auf (außer wenn automatisches Einrücken aktiviert ist).

-P, --positionlog
    protokolliert für die 200 zuletzt bearbeiteten Dateien die letzte Position des Cursors und setzt ihn beim erneuten Öffnen der Datei wieder an diese Stelle.

-Q "regulärer_Ausdruck", --quotestr="regulärer_Ausdruck"
    legt den regulären Ausdruck für die Übereinstimmungsfindung für Zitate fest. Der Vorgabewert ist »^([ \t]*([!#%:;>|}]|//))+«. (Beachten Sie, dass dabei \t für den echten Tabulator steht.) Dadurch wird es ermöglicht, beim Verfassen von E-Mails Blöcke aus zitiertem Text neu auszurichten und Blöcke von Zeilenkommentaren beim Schreiben von Quellcode neu umzubrechen.

-R, --restricted
    aktiviert den eingeschränkten Modus: Es wird nichts aus einer Datei gelesen oder in diese geschrieben, die nicht in der Befehlszeile übergeben wurde. Das bedeutet, dass keine Verlaufsdateien gelesen oder geschrieben werden, keine Rechtschreibprüfung erlaubt wird, nichts an eine Datei angehängt oder ihr vorangestellt oder die Datei unter einem anderen Namen gespeichert wird, wenn bereits ein Name vergeben wurde; außerdem werden keine Sicherungsdateien erstellt. Sie können den eingeschränkten Modus auch aktivieren, indem Sie nano mit einem Namen aufrufen, der mit »r« beginnt (zum Beispiel rnano).

-S, --softwrap
    zeigt Zeilen, die länger als die Bildschirmbreite sind, in mehreren Zeilen an (Sie können diesen fließenden Zeilenumbruch so einrichten, dass an Leerzeichen statt grob am Bildschirmrand umgebrochen wird, indem Sie auch --atblanks verwenden). (Die frühere kurze Option -$ ist nun als veraltet anzusehen.)

-T Anzahl, --tabsize=Anzahl
    setzt die Größe (Breite) von Tabulatoren auf die angegebene Anzahl Spalten. Die Anzahl muss größer als 0 sein. Der Vorgabewert ist 8.

-U, --quickblank
    blendet die Statuszeile bereits nach einem Tastendruck anstelle von 20 aus. Beachten Sie, dass die Option -c (--constantshow) dies außer Kraft setzt. Wenn die Option --minibar oder --zero wirksam ist, blendet --quickblank eine Meldung bereits nach 0,8 Sekunden anstelle der vorgegebenen 1,5 Sekunden aus.

-V, --version
    gibt die Versionsnummer aus und beendet das Programm.

-W, --wordbounds
    erkennt Wortgrenzen anders, indem Interpunktionszeichen als Teil eines Wortes angesehen werden.

-X "Zeichen", --wordchars="Zeichen"
    gibt an, welche anderen Zeichen (neben den normalen alphanumerischen Zeichen) als Teil eines Wortes betrachtet werden sollen. Wenn Sie diese Option verwenden, dann werden Sie wahrscheinlich die Option -W (--wordbounds) nicht benötigen.

-Y Name, --syntax=Name
    gibt den Namen der zu verwendenden Syntaxhervorhebung an. Verwendet werden die in den nanorc-Dateien definierten Syntaxhervorhebungen.

-Z, --zap
    bewirkt, dass durch Drücken einer unmodifizierten Rückschritt- oder Entf-Taste der markierte Bereich gelöscht wird (anstelle eines einzelnen Zeichens und ohne Auswirkung auf die Zwischenablage).

-a, --atblanks
    bricht bei aktiviertem fließendem Zeilenumbruch bei Leerräumen anstatt immer beim Erreichen des Bildschirmrandes um.

-b, --breaklonglines
    bricht die aktuelle Zeile automatisch hart um, wenn sie zu lang wird. Diese Option ist das Gegenstück zu -w (--nowrap) – die zuletzt angegebene Option ist wirksam.

-c, --constantshow
    zeigt die Cursorposition permanent in der Statuszeile an. Beachten Sie, dass dies -U (--quickblank) außer Kraft setzt.

-d, --rebinddelete
    interpretiert die Entf- und Rückschrittasten anders, so dass sowohl Rückschritt als auch Entf korrekt funktionieren. Sie sollten diese Option nur verwenden, wenn auf Ihrem System entweder die Rückschrittaste als Entf-Taste wirkt oder die Entf-Taste als Rückschrittaste.

-e, --emptyline
    verwendet die Leerzeile unter der Titelleiste nicht und lässt diese leer.

-f Datei, --rcfile=Datei
    liest zum Setzen der Optionen für nano nur die angegebene Datei, anstatt sowohl die systemweite nanorc als auch die des Benutzers zu lesen.

-g, --showcursor
    macht den Cursor im Dateibrowser (indem er auf den hervorgehobenen Eintrag gesetzt wird) und im Hilfebetrachter sichtbar. Dies ist für Benutzer mit Braille-Zeile oder weniger schwerwiegenden Sehbehinderungen nützlich.

-h, --help
    zeigt eine Zusammenfassung der verfügbaren Befehlszeilenoptionen an und beendet das Programm.

-i, --autoindent
    rückt eine neue Zeile automatisch um die gleiche Anzahl Tabulatoren und/oder Leerzeichen wie die vorhergehende Zeile ein (oder wie die nächste Zeile, wenn die vorhergehende Zeile der Anfang eines Absatzes ist).

-j, --jumpyscrolling
    rollt den Inhalt des Puffers um einen halben Bildschirminhalt statt um eine Zeile.

-k, --cutfromcursor
    bewirkt, dass der Befehl zum Ausschneiden von Text (normalerweise ^K) nur von der aktuellen Cursorposition bis zum Ende der Zeile anstatt die gesamte Zeile ausschneidet.

-l, --linenumbers
    Zeigt Zeilennummern links vom Textbereich an. (Jede Zeile mit einem Anker erhält außerdem eine Markierung im Randbereich.)

-m, --mouse
    aktiviert Mausunterstützung, falls dies auf Ihrem System verfügbar ist. Wenn aktiviert, können Sie den Cursor mittels Mausklicks platzieren, die Markierung (mit einem Doppelklick) setzen und Tastenkombinationen ausführen. Die Maus wird im X Window System funktionieren, und auch auf der Konsole, wenn gpm läuft. Text kann weiterhin durch Ziehen markiert werden, während die Umschalttaste gedrückt gehalten wird.

-n, --noread
    fasst jeden in der Befehlszeile übergebenen Namen als neue Datei auf. Dies ermöglicht nano, in benannte Pipes (Weiterleitungen) zu schreiben: Es wird mit einem leeren Puffer begonnen und in die Pipe geschrieben, wenn der Benutzer die »Datei« speichert. Auf diese Weise kann nano als Editor in Kombination mit beispielsweise gpg verwendet werden, ohne dass erst sensible Daten auf die Festplatte geschrieben werden müssen.

-o Verzeichnis, --operatingdir=Verzeichnis
    legt das Verzeichnis fest, in dem gearbeitet werden soll. Dadurch wird nano veranlasst, etwas Ähnliches wie ein »Chroot« (temporäres Wurzelverzeichnis) einzurichten.

-p, --preserve
    erhält die Sequenzen XON und XOFF (^Q und ^S), so dass diese vom Terminal abgefangen werden.

-q, --indicator
    zeigt eine Bildlaufleiste am rechten Rand des Editorfensters an. Es zeigt die Position des Sichtfeldes im Puffer an, sowie welcher Anteil des Puffers vom Sichtfeld abgedeckt ist.

-r Anzahl, --fill=Anzahl
    legt die gewünschte Breite für die Ausrichtung und den automatischen harten Zeilenumbruch auf die angegebene Anzahl Spalten fest. Ist die Anzahl 0 oder kleiner, wird ein harter Zeilenumbruch an der Bildschirmbreite minus der Anzahl Spalten ausgeführt, wodurch sich der Umbruchpunkt an der Bildschirmbreite orientiert und sich mit verändert, wenn die Bildschirmbreite geändert wird. Der Vorgabewert ist -8.

-s "Programm [Argument …]", --speller="Programm [Argument …]"
    gibt das für die Rechtschreibprüfung und -korrektur zu verwendende Programm an, welches statt der eingebauten Korrektur verwendet werden soll, die hunspell(1) oder spell(1) aufruft.

-t, --saveonexit
    speichert einen geänderten Puffer stets ohne Nachfrage (beim Beenden mit ^X).

-u, --unix
    speichert eine Datei standardmäßig im Unix-Format. Dies setzt das Standardverhalten von nano außer Kraft, in dem eine Datei in dem Format gespeichert wird, in dem sie bereits vorliegt. Diese Option ist wirkungslos, wenn Sie auch --noconvert angeben.

-v, --view
    zeigt lediglich die Datei an und verhindert die Bearbeitung (schreibgeschützter Modus). In diesem Modus ist es dem Benutzer gestattet, auch andere Dateien zur Betrachtung zu öffnen, außer wenn ebenfalls --restricted angegeben ist.

-w, --nowrap
    bricht die aktuelle Zeile nicht automatisch hart um, wenn sie zu lang wird. Dies ist die Vorgabe. Diese Option ist das Gegenstück zu -b (--breaklonglines) – die zuletzt angegebene Option ist wirksam.

-x, --nohelp
    zeigt die zwei Hilfezeilen am unteren Rand des Bildschirms nicht an.

-y, --afterends
    bewirkt, dass »Strg+Pfeiltaste rechts« und »Strg+Entf« am Wortende anstatt am Wortanfang stoppt.

-!, --magic
    Wenn weder der Name noch die erste Zeile der Datei einen Hinweis liefert, wird versucht, die anwendbare Syntax mittels Libmagic zu bestimmen.

-%, --stateflags
    verwendet die obere rechte Ecke des Bildschirms zum Anzeigen einiger Statusindikatoren, wenn Folgendes aktiv ist: I bei automatischer Einrückung, M bei Markierungen, L bei hartem Umbruch überlanger Zeilen, R bei der Aufzeichnung eines Makros und S bei fließendem Zeilenumbruch. Wenn der Puffer geändert wurde, wird ein Stern (*) nach dem Dateinamen in der Mitte der Titelleiste angezeigt.

-_, --minibar
    unterdrückt die Anzeige der Titelleiste und zeigt stattdessen am unteren Bildschirmrand im Bereich der Statuszeile Informationen zum aktuellen Puffer an. In dieser »Minibar« wird links der Dateiname angezeigt, gefolgt von einem Raute-Zeichen, falls der Puffer geändert wurde. Rechts wird Folgendes angezeigt: die aktuelle Zeilen- und Spaltennummer, der Code des Zeichens unter dem Cursor (im Unicode-Format: U+xxxx), die gleichen Indikatoren, wie sie auch mit --stateflags angezeigt werden, sowie ein Prozentsatz, wie weit sich der Cursor in der Datei befindet (zeilenbezogen). Beim Laden oder Speichern einer Datei und auch beim Wechsel zwischen Puffern wird nach dem Dateinamen die Anzahl der Zeilen im Puffer angezeigt. Diese Zahl wird nach dem nächsten Tastendruck gelöscht oder durch einen [i/n]-Zähler ersetzt, falls mehrere Puffer geöffnet sind. Die Zeile einschließlich Spaltennummer sowie der Zeichencode werden nur dann angezeigt, wenn --constantshow verwendet wird. Mit M-C können Sie die Anzeige ein- oder ausblenden. Die Statusindikatoren werden nur angezeigt, wenn --stateflags verwendet wird.

-0, --zero
    verbirgt alle Elemente der Benutzerschnittstelle (Titelleiste, Statuszeile und Hilfezeilen) und verwendet alle Zeilen des Terminals für die Anzeige des Pufferinhalts. Die Statuszeile erscheint nur dann, wenn eine wichtige Meldung anzuzeigen ist und wird nach 1,5 Sekunden oder beim nächsten Tastendruck ausgeblendet. Mit M-Z kann die Anzeige der Titelleiste und Statuszeile und mit M-X die Anzeige der Hilfezeilen ein- oder ausgeschaltet werden.

UMSCHALTUNGEN
Unter den oben genannten Optionen können einige auch ein- und ausgeschaltet werden, wenn nano läuft. Beispielsweise schaltet M-L den harten Umbruch langer Zeilen, M-S den fließenden Umbruch, M-N die Anzeige der Zeilennummern, M-M die Verwendung der Maus, M-I die automatische Einrückung und M-X die Anzeige der Hilfezeilen ein oder aus. Am Ende des mit ^G angezeigten Hilfetexts finden Sie eine vollständige Liste.

Der Umschalter M-X ist speziell: Er funktioniert in allen Menüs, außer im Hilfebetrachter und im Linter. Alle anderen Umschalter funktionieren nur im Hauptmenü.

DATEIEN
Wenn --rcfile angegeben ist, liest nano nur die angegebene Datei zum Setzen der Optionen, Syntaxhervorhebung und Tastenbindungen. Ohne diese Option wird nano zwei Konfigurationsdateien lesen: zuerst die nanorc des Systems (falls diese existiert) und danach die nanorc des Benutzers (falls diese existiert), entweder ~/.nanorc oder $XDG_CONFIG_HOME/nano/nanorc oder ~/.config/nano/nanorc, je nachdem, welche zuerst gefunden wird. Siehe nanorc(5) für weitere Informationen zu den möglichen Inhalten dieser Dateien.

Siehe /usr/share/nano/ und /usr/share/nano/extra/ für die verfügbaren Definitionen der farblichen Syntaxhervorhebungen.

ANMERKUNGEN
Die Option -z (--suspendable) wurde entfernt. Das Schieben in den Hintergrund ist standardmäßig aktiviert und ist über ^T^Z erreichbar. Falls Sie zum Schieben in den Hintergrund ein einfaches ^Z bevorzugen, fügen Sie bind ^Z suspend main zu Ihrer Nanorc hinzu.

Falls kein alternativer Befehl zur Rechtschreibprüfung in der Befehlszeile oder in einer der nanorc-Dateien angegeben ist, sucht nano in der Umgebungsvariable SPELL danach.

In einigen Fällen versucht nano, den Puffer in einer Notfalldatei zu speichern. Dies geschieht hauptsächlich dann, wenn nano ein SIGHUP oder SIGTERM empfängt oder der Speicher ausgeschöpft ist. Der Puffer wird in eine Datei namens nano.save geschrieben, falls für den Puffer noch kein Name vergeben wurde, oder die Endung .save wird zum aktuellen Dateinamen hinzugefügt. Falls eine Notfalldatei gleichen Namens im aktuellen Verzeichnis bereits existiert, wird außer der Endung .save eine Zahl hinzugefügt (zum Beispiel .save.1, damit sie eindeutig unterscheidbar wird. Im Mehrpuffer-Modus schreibt nano alle offenen Puffer in deren jeweilige Notfalldateien.

FEHLER
Die Aufzeichnung und Wiedergabe von Tastaturmakros funktioniert nur in einem Terminalemulator fehlerfrei, jedoch nicht in einer Linux-Konsole (VT), da Letztere standardmäßig nicht zwischen modifizierten und unmodifizierten Pfeiltasten unterscheiden kann.

Bitte melden Sie alle andere Fehler, die sie entdecken, auf:
https://savannah.gnu.org/bugs/?group=nano.

Wenn nano abstürzt, speichert es alle geänderten Puffer sicherheitshalber in Dateien mit der Endung .save. Falls es Ihnen gelingt, den Absturz zu reproduzieren und Sie einen Backtrace haben wollen, dann definieren Sie die Umgebungsvariable NANO_NOCATCH.

HOMEPAGE
https://nano-editor.org/

SIEHE AUCH
nanorc(5)

/usr/share/doc/nano/ (oder äquivalent auf Ihrem System)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).